consultar();

//Consultar all
function consultar(){
    let pe= permiso;
    let u = username;
    $.ajax({
        url: 'back-end/ordenes.php',
        type: 'GET',
        data: {pe,u},
        success: function(response){
            let datas = JSON.parse(response);
            console.log(datas);
            let template = '';
            datas.forEach(data =>{
                template +=`
                <tr>
                    <td>${data.id}</td>
                    <td>${data.pedido}</td>
                    <td>${data.valor}</td>
                    <td>${data.cliente}</td>
                    <td>${data.articulo}</td>
                    <td>${data.lote}</td>
                    <td>${data.cantidad}</td>`
                if(data.estado == 100){
                    template+=`
                    <td><span class="badge badge-secondary">Pte Confirmacion</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-info btn-xs" title="Detalles" data-toggle="modal" data-target="#detalle_orden"><i class="fas fa-eye" ></i></a>
                    <a href="#" onclick='eliminar(${data.id})' class="btn btn-danger btn-sm" title="Eliminar"><i class="fas fa-times" ></i></a>
                    </td>
                </tr>`
                }
                if(data.estado == 110){
                    template+=`
                    <td><span class="badge badge-warning">Pte Asignar</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-warning btn-xs" title="Detalles" data-toggle="modal" data-target="#asignar_orden"><i class="fas fa-user-plus" ></i></a></td>
                </tr>`
                }
                if(data.estado == 120){
                    template+=`
                    <td><span class="badge badge-danger">Sol. doc, Art y Estruc</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-danger btn-xs" title="Detalles" data-toggle="modal" data-target="#fecha_orden1"><i class="fas fa-calendar-check" ></i></a></td>
                </tr>`
                }
                if(data.estado == 130){
                    template+=`
                    <td><span class="badge badge-primary">Val Estructura</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-primary btn-xs" title="Detalles" data-toggle="modal" data-target="#fecha_orden2"><i class="fas fa-calendar-check" ></i></a></td>
                </tr>`
                }
                if(data.estado == 140){
                    template+=`
                    <td><span class="badge badge-success">Explo y Sol. Mate</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-success btn-xs" title="Detalles" data-toggle="modal" data-target="#fecha_orden3"><i class="fas fa-calendar-check" ></i></a></td>
                </tr>`
                }
                if(data.estado == 150){
                    template+=`
                    <td><span class="badge badge-info">Reg. Entrada</span></td>
                    <td></td>
                </tr>`
                }
                if(data.estado == 160){
                    template+=`
                    <td><span class="badge badge-warning">Rev. de Calidad</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-warning btn-xs" title="Detalles" data-toggle="modal" data-target="#fecha_orden4"><i class="fas fa-calendar-check" ></i></a></td>
                </tr>`
                }
                if(data.estado == 165){
                    template+=`
                    <td><span class="badge badge-danger">En Analisis</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-danger btn-xs" title="Detalles" data-toggle="modal" data-target="#fecha_orden5"><i class="fas fa-calendar-check" ></i></a></td>
                </tr>`
                }
                if(data.estado == 170){
                    template+=`
                    <td><span class="badge badge-success">Reg. OF Granel</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-success btn-xs" title="Detalles" data-toggle="modal" data-target="#of_mp_orden"><i class="fas fa-file" ></i></a></td>
                </tr>`
                }
                if(data.estado == 175){
                    template+=`
                    <td><span class="badge badge-danger">Dev x Aseguramiento</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-danger btn-xs" title="Detalles" data-toggle="modal" data-target="#of_mp_orden"><i class="fas fa-file" ></i></a></td>
                </tr>`
                }
                if(data.estado == 180){
                    template+=`
                    <td><span class="badge badge-primary">Rev. Aseguramiento</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-primary btn-xs" title="Revision" data-toggle="modal" data-target="#rev_aseg_orden"><i class="fa fa-eye" ></i></a></td>
                </tr>`
                }
                if(data.estado == 185){
                    template+=`
                    <td><span class="badge badge-info">En espera Asegu</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-info btn-xs" title="Revision" data-toggle="modal" data-target="#rev_aseg_orden"><i class="fa fa-eye" ></i></a></td>
                </tr>`
                }
                if(data.estado == 190){
                    template+=`
                    <td><span class="badge badge-warning">Reg. OF EE</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-warning btn-xs" title="Revision" data-toggle="modal" data-target="#of_ee_orden"><i class="fa fa-file" ></i></a></td>
                </tr>`
                }
                if(data.estado == 200){
                    template+=`
                    <td><span class="badge badge-dark">Produccion</span></td>
                    <td><a href="#" onclick='buscar(${data.id})' class="btn btn-dark btn-xs" title="Revision" data-toggle="modal" data-target="#seguimiento_orden"><i class="fa fa-cogs" ></i></a></td>
                </tr>`
                }
            });
            $('#listado').html(template);
        }
    })
}

//Registrar
function registrar(){
    let ped=$('#pedido').val(),l=$('#lote').val(),p=$('#precio').val(),c=$('#cantidad').val(),a=$('#articulo').val(),cl=$('#cliente').val(),fr=$('#f_recepcion').val(),fp=$('#f_pedido').val(), error='';

    if(ped===''){ error+='Pedido<br>';} if(l===''){ error+='Lote<br>';} if(p===''){ error+='Precio<br>';}
    if(c===''){ error+='Cantidad<br>';} if(a===''){ error+='Articulo<br>';}if(cl===''){error+='Cliente<br>';}
    if(fr===''){ error+='Fecha Recpecion<br>';}if(fp===''){error+='Fecha Pedido<br>';}
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        <strong>Error!</strong> Faltan los sigueinte datos<br>${error}
        </div>`;
        $('#result').html(template);
    }else{
        const postData = {
            pedido_r: $('#pedido').val(),
            cliente: $('#cliente').val(),
            articulo: $('#articulo').val(),
            precio: $('#precio').val(),
            lote: $('#lote').val(),
            cantidad: $('#cantidad').val(),
            f_recepcion: $('#f_recepcion').val(),
            f_pedido: $('#f_pedido').val(),
            observacion: $('#observacion').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#form_orden').trigger('reset');
            $('#result').html(response);
            setTimeout(function(){ $('#alerta_add').alert('close'); }, 3000);
        });  
    }
     
}

//Actualizar
function editar(){
    const postData = {
        pedido: $('#pedido_e').val(),
        cliente: $('#cliente_e').val(),
        articulo: $('#articulo_e').val(),
        precio: $('#precio_e').val(),
        lote: $('#lote_e').val(),
        cantidad: $('#cantidad_e').val(),
        f_recepcion: $('#f_recepcion_e').val(),
        f_pedido: $('#f_pedido_e').val(),
        observacion: $('#observacion_e').val(),
        id: $('#id_orden').val()
    };
    $.post('back-end/ordenes.php', postData, function(response){
        consultar();
        $('#result_edit').html(response);
        setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
    });  
}

//Asignar
function asignar(){
    
    const postData = {
        cod_user: $('#cod_user').val(),
        id_orden: $('#id_orden_a').val()
    };
    
    $.post('back-end/ordenes.php', postData, function(response){
        consultar();
        $('#asigna_orden').trigger('reset');
        $('#result_asig').html(response);
        setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
    });  
}

//Registro fecha 1
function date_one(){
    let fsd = $('#f_sol_doc').val(), error=''; 
    let aa = $('#apl_art').val(), faa = $('#f_art').val();
    let ae = $('#apl_estr').val(), fae = $('#f_estr').val();
    if(fsd===''){ error+='- Fecha Sol. Documentos<br>'; }
    if(aa==='SI'){ if(faa===''){error+='- Fecha Creacion Articulo<br>';} }
    if(ae==='SI'){ if(fae===''){error+='- Fecha Creacion estructura<br>';} }
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class="fas fa-times"></i> Error!</strong> Faltan los sigueinte datos:<br>${error}
        </div>`;
        $('#result_date1').html(template);
    }else{
        const postData = {
            fec_sol_doc : $('#f_sol_doc').val(),
            fec_crea_art : $('#f_art').val(),
            fec_crea_estru : $('#f_estr').val(),
            id_orden: $('#id_orden_f1').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#fecha_orden1').trigger('reset');
            $('#result_date1').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
    }
}

//Registro fecha 2
function date_two(){
    let fsd = $('#f_val_estru').val(), error=''; 
    if(fsd===''){ error+='- Fecha Val. Estructura'; }
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class="fas fa-times"></i> Error!</strong> Faltan los sigueinte datos:<br>${error}
        </div>`;
        $('#result_date2').html(template);
    }else{
        const postData = {
            fec_val_estru : $('#f_val_estru').val(),
            observacion : $('#obs_p2').val(),
            id_orden: $('#id_orden_f2').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#fecha_orden2').trigger('reset');
            $('#result_date2').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
    }
}

//Registro fecha 3
function date_three(){
    let fsd = $('#f_exp_mat').val(), error=''; 
    if(fsd===''){ error+='- Fecha Explosion y Sol. de Materiales'; }
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <strong><i class="fas fa-times"></i> Error!</strong> Faltan los sigueinte datos:<br>${error}
        </div>`;
        $('#result_date3').html(template);
    }else{
        const postData = {
            fec_exp_mat : $('#f_exp_mat').val(),
            observacion : $('#obs_p3').val(),
            id_orden: $('#id_orden_f3').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#fecha_orden3').trigger('reset');
            $('#result_date3').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
    }
}

//Registro fecha 4
function date_four(){
        const postData = {
            r_calid : $('#r_calid').val(),
            observacion : $('#obs_p4').val(),
            id_orden: $('#id_orden_f4').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#fecha_orden4').trigger('reset');
            $('#result_date4').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
}

//Registro fecha 5
function date_five(){
    const postData = {
        r_calid_c : $('#r_calid_c').val(),
        observacion : $('#obs_p5').val(),
        id_orden: $('#id_orden_f5').val()
    };
    
    $.post('back-end/ordenes.php', postData, function(response){
        consultar();
        $('#fecha_orden5').trigger('reset');
        $('#result_date5').html(response);
        setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
    }); 
}

//Registro de of producto
function reg_of_p(){
    let of = $('#of').val(), error='', f_reg = $('#f_reg').val(), spp = $('#spp').val(), hc = $('#hc').val(), remi = $('#remi').val(); 
    if(of===''){ error+='- Nro de la OF de Producto<br>'; }
    if(f_reg===''){ error+='- Fecha de Registro<br>'; }
    if(spp===''){ error+='- Nro del SPP<br>'; }
    if(hc===''){ error+='- Nro de la HC<br>'; }
    if(remi===''){ error+='- Nro de la Remision'; }
    
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <strong><i class="fas fa-times"></i> Error!</strong> Faltan los sigueinte datos:<br>${error}
        </div>`;
        $('#result_ofp').html(template);
    }else{
        const postData = {
            of_p : $('#of').val(),
            f_reg : $('#f_reg').val(),
            spp : $('#spp').val(),
            hc : $('#hc').val(),
            remi : $('#remi').val(),
            observacion : $('#obs_ofp').val(),
            id_orden: $('#id_orden_ofp').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#orden_ofp').trigger('reset');
            $('#result_ofp').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
    }
}

//Rvision de aseguramiento
function rev_aseguramiento(){
    const postData = {
        r_asegu : $('#r_asegu').val(),
        observacion : $('#obs_aseg').val(),
        id_orden: $('#id_orden_asegu').val()
    };
    
    $.post('back-end/ordenes.php', postData, function(response){
        consultar();
        $('#orden_asegu').trigger('reset');
        $('#result_asegura').html(response);
        setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
    }); 
}

//Registro de of EE
function reg_of_ee(){
    let of = $('#ofee').val(), error='', f_reg = $('#f_regee').val(), spp = $('#sppee').val(), hc = $('#hcee').val(), remi = $('#remiee').val(); 
    if(of===''){ error+='- Nro de la OF de Producto<br>'; }
    if(f_reg===''){ error+='- Fecha de Registro<br>'; }
    if(spp===''){ error+='- Nro del SPP<br>'; }
    if(hc===''){ error+='- Nro de la HC<br>'; }
    if(remi===''){ error+='- Nro de la Remision'; }
    
    let template='';
    if(error!=''){
        template +=`
        <div class="alert alert-danger" role="alert" id="alerta_add">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <strong><i class="fas fa-times"></i> Error!</strong> Faltan los sigueinte datos:<br>${error}
        </div>`;
        $('#result_ofee').html(template);
        setTimeout(function(){ $('#alerta_add').alert('close'); }, 3000);
    }else{
        const postData = {
            of_ee : $('#ofee').val(),
            f_reg : $('#f_regee').val(),
            spp : $('#sppee').val(),
            hc : $('#hcee').val(),
            remi : $('#remiee').val(),
            observacion : $('#obs_ofee').val(),
            id_orden: $('#id_orden_ofee').val()
        };
        
        $.post('back-end/ordenes.php', postData, function(response){
            consultar();
            $('#orden_ofee').trigger('reset');
            $('#result_ofee').html(response);
            setTimeout(function(){ $('#alerta1').alert('close'); }, 3000);
        }); 
    }
}

//Eliminar
function eliminar(id){
    if(confirm('Seguro que desea borrar el registro?')){
        let id_orden = id;
        $.ajax({
            url: 'back-end/ordenes.php?id_orden='+id_orden,
            type: 'DELETE',
            success:function(response){
                $('#resultado').html(response);
                consultar();
                setTimeout(function(){ $('#alerta_delete').alert('close'); }, 3000);
                //console.log(response);
            }
        }); 
        
    } 
}

//Buscar
function buscar(id){
    let id_orden = id;
    $.ajax({
        url: 'back-end/ordenes.php',
        type: 'GET',
        data: {id_orden},
        success:function(response){
            //console.log(response);
            const data = JSON.parse(response);
            $('#pedido_e').val(data.pedido);
            $('#cliente_e').val(data.cliente);
            $('#articulo_e').val(data.articulo);
            $('#precio_e').val(data.precio);
            $('#lote_e').val(data.lote);
            $('#cantidad_e').val(data.cantidad);
            $('#f_recepcion_e').val(data.f_recepcion);
            $('#f_pedido_e').val(data.f_pedido);
            $('#observacion_e').val(data.observacion);
            $('#id_orden').val(data.id);
            $('#id_orden_a').val(data.id);
            $('#id_orden_f1').val(data.id);
            $('#id_orden_f2').val(data.id);
            $('#id_orden_f3').val(data.id);
            $('#id_orden_f4').val(data.id);
            $('#id_orden_f5').val(data.id);
            $('#id_orden_ofp').val(data.id);
            $('#id_orden_ofee').val(data.id);
            $('#id_orden_asegu').val(data.id);
        }
    });  
}

//Listado Clientes Articulos
function list_clientes(){
    $.ajax({
        url: 'back-end/clientes.php',
        type: 'GET',
        success: function(response){
            let datas = JSON.parse(response);
            console.log(datas);
            let template = '';
            datas.forEach(data =>{
                template +=`
                <option value="${data.name}"></option>
                `
            });
            $('#clientes').html(template);
        }
    })
}

//Lista de Articulos
function list_articulos(){
    let cliente = $('#cliente').val().toUpperCase();
    $.ajax({
        url: 'back-end/articulos.php?client='+cliente,
        type: 'LIST',
        success: function(response){
            let datas = JSON.parse(response);
            //console.log(datas);
            let template = '';
            datas.forEach(data =>{
                template +=`
                <option value="${data.name}"></option>
                `
            });
            $('#articulos').html(template);
        }
    })
}

//Relleno de campos 
$(document).ready(function(){
    $("#articulo").prop("disabled", true);
	$('#cliente').change(function(){
        $("#articulo").prop("disabled", false);
		list_articulos()
    });
    //Calcular el valor total de la orden
    $('#cantidad').change(function(){
       var total = $('#cantidad').val() * $('#precio').val();
       console.log(total)
       $('#total').val(total);
    });
    //Pasar la fecha
    var fecha = new Date(); //Fecha actual
    var mes = fecha.getMonth()+1; //obteniendo mes
    var dia = fecha.getDate(); //obteniendo dia
    var ano = fecha.getFullYear(); //obteniendo año
    if(dia<10)
        dia='0'+dia; //agrega cero si el menor de 10
    if(mes<10)
        mes='0'+mes //agrega cero si el menor de 10 f_exp_mat
    document.getElementById('f_val_estru').value=ano+"-"+mes+"-"+dia;
    document.getElementById('f_exp_mat').value=ano+"-"+mes+"-"+dia;
});


